| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::application_install_params Struct Reference

Represents the settings for the bot/application's in-app authorization link. More...

`#include <application.h>`

Collaboration diagram for dpp::application_install_params:
[legend]

## Public Attributes

permission | permissions
| A bitmask of dpp::permissions to request for the bot role.
std::vector< std::string > | scopes
| The scopes as strings to add the application to the server with.

## Detailed Description

Represents the settings for the bot/application's in-app authorization link.

## Member Data Documentation

## ◆ permissions

permission dpp::application_install_params::permissions

A bitmask of dpp::permissions to request for the bot role.

## ◆ scopes

std::vector<std::string> dpp::application_install_params::scopes

The scopes as strings to add the application to the server with.

See also
  https://discord.com/developers/docs/topics/oauth2#shared-resources-oauth2-scopes

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0